=== debian/changelog ===
ros-iron-pybind11-json-vendor (0.3.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Update maintainer
  * Add initial build workflow (#9 <https://github.com/open-rmf/pybind11_json_vendor/issues/9>)
  * Contributors: Esteban Martinena, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.2.2-1jammy) jammy; urgency=high

  * Support vendor-provided pybind11 upstream (#8 <https://github.com/open-rmf/pybind11_json_vendor/pull/8>)
  * Suppress CMake external project 'update' phase (#7 <https://github.com/open-rmf/pybind11_json_vendor/pull/7>)
  * Contributors: Scott K Logan

 -- YouLiang <youliang@openrobotics.org>  Tue, 06 Dec 2022 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.2.0-1jammy) jammy; urgency=high

  * Updated nlohmann-json3-dev depend
  * Add missing dependency on nlohmann::json.
  * Add missing buildtool_depend on git
  * Contributors: Esteban Martinena, Scott K Logan, Steven! Ragnarök, youliang

 -- Yadunund <yadunund@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-iron-pybind11-json-vendor (0.1.0-1jammy) jammy; urgency=high

  * Initial version

 -- Yadunund <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000
